> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /appbrain/apps

> Get AppBrain app details by Android package name, AppBrain app URL, or Google Play URL

**Price:** 10 credits

**⚠️ Common errors:** 412: App not found



## OpenAPI

````yaml /openapi/app-stores.json post /api/appbrain/apps
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/appbrain/apps:
    post:
      tags:
        - /appbrain
      summary: /appbrain/apps
      description: >-
        Get AppBrain app details by Android package name, AppBrain app URL, or
        Google Play URL


        **Price:** 10 credits


        **⚠️ Common errors:** 412: App not found
      operationId: __api_appbrain_apps_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppbrainAppPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppbrainApp'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppbrainAppPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        app:
          type: string
          minLength: 1
      type: object
      required:
        - app
    AppbrainApp:
      properties:
        '@type':
          type: string
          default: AppbrainApp
        package_name:
          type: string
        name:
          type: string
        developer:
          anyOf:
            - type: string
            - type: 'null'
        developer_url:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_currency:
          anyOf:
            - type: string
            - type: 'null'
        is_free:
          anyOf:
            - type: boolean
            - type: 'null'
        content_rating:
          anyOf:
            - type: string
            - type: 'null'
        min_android_version:
          anyOf:
            - type: string
            - type: 'null'
        has_ads:
          anyOf:
            - type: boolean
            - type: 'null'
        ranking_status:
          anyOf:
            - type: string
            - type: 'null'
        total_download_count:
          anyOf:
            - type: integer
            - type: 'null'
        recent_download_count:
          anyOf:
            - type: integer
            - type: 'null'
        library_count:
          anyOf:
            - type: integer
            - type: 'null'
        permission_count:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        google_play_url:
          anyOf:
            - type: string
            - type: 'null'
        screenshots:
          items:
            type: string
          type: array
          default: []
        libraries:
          items:
            $ref: '#/components/schemas/AppbrainLibrary'
          type: array
          default: []
        permissions:
          items:
            $ref: '#/components/schemas/AppbrainPermissionGroup'
          type: array
          default: []
        rankings:
          items:
            $ref: '#/components/schemas/AppbrainAppRankingEntry'
          type: array
          default: []
      type: object
      required:
        - package_name
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AppbrainLibrary:
      properties:
        '@type':
          type: string
          default: AppbrainLibrary
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    AppbrainPermissionGroup:
      properties:
        '@type':
          type: string
          default: AppbrainPermissionGroup
        group:
          type: string
        items:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - group
    AppbrainAppRankingEntry:
      properties:
        '@type':
          type: string
          default: AppbrainAppRankingEntry
        rank:
          type: integer
        country:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        list_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - rank
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````